package md

type GetComponentAccessToken struct {
	ComponentAccessToken string `json:"component_access_token" example:"第三方平台 access_token"`
	ExpiresIn            int    `json:"expires_in"  example:"有效期，单位：秒"`
}

type GetPreAuthCode struct {
	PreAuthCode string `json:"pre_auth_code" example:"预授权码"`
	ExpiresIn   int    `json:"expires_in"  example:"有效期，单位：秒"`
}

type GetAuthorizerAccessTokenByAuthCode struct {
	AuthorizationInfo struct {
		AuthorizerAppid        string `json:"authorizer_appid" example:"授权方 appid"`
		AuthorizerAccessToken  string `json:"authorizer_access_token" example:"接口调用令牌"`
		ExpiresIn              int    `json:"expires_in" example:"authorizer_access_token 的有效期（在授权的公众号/小程序具备API权限时，才有此返回值），单位：秒"`
		AuthorizerRefreshToken string `json:"authorizer_refresh_token" example:"刷新令牌（在授权的公众号具备API权限时，才有此返回值），刷新令牌主要用于第三方平台获取和刷新已授权用户的 authorizer_access_token。一旦丢失，只能让用户重新授权，才能再次拿到新的刷新令牌。用户重新授权后，之前的刷新令牌会失效"`
	} `json:"authorization_info" example:"预授权码"`
}

type ApiAuthorizerToken struct {
	AuthorizerAccessToken  string `json:"authorizer_access_token" example:"接口调用令牌"`
	ExpiresIn              int    `json:"expires_in" example:"authorizer_access_token 的有效期（在授权的公众号/小程序具备API权限时，才有此返回值），单位：秒"`
	AuthorizerRefreshToken string `json:"authorizer_refresh_token" example:"刷新令牌（在授权的公众号具备API权限时，才有此返回值），刷新令牌主要用于第三方平台获取和刷新已授权用户的 authorizer_access_token。一旦丢失，只能让用户重新授权，才能再次拿到新的刷新令牌。用户重新授权后，之前的刷新令牌会失效"`
}

type DelAuthorize struct {
	ErrCode int    `json:"errcode" example:"错误码"`
	ErrMsg  string `json:"errmsg" example:"错误信息"`
}

type AgencyCreateAdunit struct {
	Ret      int    `json:"ret" example:"错误码"`
	ErrMsg   string `json:"err_msg" example:"错误信息"`
	AdUnitId string `json:"ad_unit_id" example:"广告单元ID"`
}

type AgencyUpdateAdunit struct {
	Ret    int    `json:"ret" example:"错误码"`
	ErrMsg string `json:"err_msg" example:"错误信息"`
}

type SetCoverAdposStatus struct {
	Ret    int    `json:"ret" example:"错误码"`
	ErrMsg string `json:"err_msg" example:"错误信息"`
}

type GetAdunitList struct {
	Ret    int    `json:"ret" example:"错误码"`
	ErrMsg string `json:"err_msg" example:"错误信息"`
	AdUnit []struct {
		AdSlot           string                   `json:"ad_slot" example:"广告位类型名称"`
		AdUnitId         string                   `json:"ad_unit_id" example:"广告单元ID"`
		AdUnitName       string                   `json:"ad_unit_name" example:"广告单元名称"`
		AdUnitSize       []map[string]interface{} `json:"ad_unit_size" example:"广告单元大小"`
		AdUnitStatus     int                      `json:"ad_unit_status" example:"广告单元开关状态 1：开启 2：关闭"`
		VideoDurationMax int                      `json:"video_duration_max" example:"广告展示时长最大值"`
		VideoDurationMin int                      `json:"video_duration_min" example:"广告展示时长最小值"`
	} `json:"ad_unit"`
	TotalNum int `json:"total_num" example:"总广告单元数据量"`
}
